#pragma once
class Triangle{
public:
    float rotation, speedRotation;
    float posX, posY;
    float grey;
    int points;
    float outerRadius;
    bool selected;
    void setup(float x, float y){
        posX=x;
        posY=y;
        rotation=0;
        speedRotation=ofRandom(-3,3);
        grey=ofRandom(255);
        points=ofRandom(2,10);
        selected=false;
    }
    void update(){
        rotation+=speedRotation;
        //posX+=ofxAccelerometer.getForce().x;
        //posY-=ofxAccelerometer.getForce().y;
    }
    void draw(){
        ofPushMatrix();
        ofTranslate(posX, posY);
        ofRotateZ(rotation);
        (selected)? ofSetColor(255,0,0) : ofSetColor(grey,200);
        ofBeginShape();
        float innerRadius = 50;
        outerRadius = 100;
        float nStarPts=points*2;
        float angleChangePerPt = TWO_PI / (float)nStarPts;
        float angle = 0;
        for (int i = 0; i < nStarPts; i++){
            if (i % 2 == 0) {
                // inside point:
                float x =  innerRadius * cos(angle);
                float y =  innerRadius * sin(angle);
                ofVertex(x,y);
            } else {
                // outside point
                float x =  outerRadius * cos(angle);
                float y =  outerRadius * sin(angle);
                ofVertex(x,y);
            }
            angle += angleChangePerPt;
        }
        ofEndShape();
        ofPopMatrix();
    }
    void checkSelection(float x, float y){
        if(ofDist(x,y,posX,posY)<outerRadius){
            selected=true;
        }else{
            selected=false;
        }
    }
};